Skip to main content

Get List of Channels


<button style={{ marginBottom: "10px" }} class="button button--outline button--active button--primary"> Get

https://api.deadsimplechat.com/consumer/api/v1/chatroom/:roomId/channels

Get List of Channels

This endpoint allows you to Get a list of all the channels of a speacific chatroom.

info

The auth query parameter is your private key. You can find it in your Dashboard under Developer -> Private Key.

List ChannelsDescription
Parameteres
Path
roomIdstringroomId for which you want to list the channels
Query
authstringGo to Dashboard -> Developer -> Private Key is your auth

Responses

200

JSON

[
{
"_id": "60f5d7a739ecfd1b7e31b450",
"roomId": "HTqSW_9-t",
"channelName": "Channel A",
"enabled": true,
"notifyAllUsers": false
},
{
"_id": "60f5d7ac3798fe1bb762ccf9",
"roomId": "HTqSW_9-t",
"channelName": "Channel B",
"enabled": true,
"notifyAllUsers": false
}
]

400

JSON

{
"message": "Invalid chatRoom id"
}